/**
 * MissileBlock
 * 
 * @author Taylor Born
 * @version May 2013
 */
public class MissileBlock extends Block
{
    private static final SoundCluster HIT_SOUND = new SoundCluster("Release.wav", 75);

    public MissileBlock(int x, int y)
    {
        super(x, y);
    }
    public int getTransparency()
    {
        int t = super.getTransparency();
        if (t == 0)
            Screen.main.newMissile(x, y);
        return t;
    }
    protected SoundCluster getSound()
    {
        return HIT_SOUND;
    }
    public int getWallType()
    {
        return 2;
    }
}