/**
 * MultiBlock
 * 
 * @author Taylor Born
 * @version June 2013
 */
public class MultiBlock extends Block
{
    private boolean second;
    private int height;

    public MultiBlock(int x, int y)
    {
        super(x, y);
    }
    public void getHit()
    {
        if (second)
            super.getHit();
        else
        {
            second = true;
            playSound();
        }
    }
    public int getHeight()
    {
        if (second && height > -24)
            height--;
        return height;
    }
    public int getWallType()
    {
        return 4;
    }
}