/**
 * Power
 * 
 * @author Taylor Born
 * @version June 2013
 */
public class Power extends Pickup
{
    public static final int NULL_POWER = -1;
    public static final int MAGNET_POWER = 0;
    public static final int MISSILE_POWER = 1;
    public static final int SUPER_POWER = 2;
    public static final int REVERSE_POWER = 3;
    public static final int GUIDE_POWER = 4;
    
    public static final int NUMBER_OF_POWERS = 5;

    private int power;

    public Power(int x, int y)
    {
        super(x, y, POWER_TYPE);
        power = (int)(Math.random() * NUMBER_OF_POWERS);
    }
    public int getPower()
    {
        return power;
    }
    public void apply()
    {
        Screen.main.setPower(power);
    }
    public static void doStuff(int... values)
    {
        for (int n : values)
            System.out.println(n);
    }
}