import greenfoot.GreenfootSound;

/**
 * SoundCluster
 * 
 * @author Taylor Born
 * @version June 2013
 */
public class SoundCluster extends SoundUnit
{
    private final int COPIES = 3;
    private GreenfootSound[] sound = new GreenfootSound[COPIES];
    private int step = 0;

    public SoundCluster(String fileName, int max_volume)
    {
        super(max_volume);
        for (int i = 0; i < COPIES; i++)
            sound[i] = new GreenfootSound(fileName);
    }
    public void play()
    {
        playSound(sound[step]);
        if (++step == COPIES)
            step = 0;
    }
}