import greenfoot.GreenfootSound;

/**
 * SoundUnit
 * 
 * @author Taylor Born
 * @version June 2013
 */
public abstract class SoundUnit 
{
    private static int global_volume = 100;

    private int max_volume;
    
    protected SoundUnit(int max_volume)
    {
        this.max_volume = max_volume;
    }
    protected void playSound(GreenfootSound sound)
    {
        sound.setVolume((int)(global_volume / 100d * max_volume));
        sound.play();
    }
    
    public abstract void play();
}