/**
 * SteelBlock
 * 
 * @author Taylor Born
 * @version May 2013
 */
public class SteelBlock extends Block
{
    private static final SoundCluster HIT_SOUND = new SoundCluster("HitSteel.wav", 70);

    public SteelBlock(int x, int y)
    {
        super(x, y);
    }
    public void getHit()
    {
        playSound();
    }
    protected SoundCluster getSound()
    {
        return HIT_SOUND;
    }
    public int getWallType()
    {
        return 1;
    }
}